diff --git a/public/assets/NOTICES b/public/assets/NOTICES
index 6d410265c3d7..2d899170dec2 100644
--- a/public/assets/NOTICES
+++ b/public/assets/NOTICES
@@ -10744,7 +12765,7 @@ harfbuzz
 
 Copyright (C) 2013  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -10766,11 +12787,33 @@ PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 --------------------------------------------------------------------------------
 harfbuzz
 
+Copyright (c) Microsoft Corporation.
+
+Permission is hereby granted, free of charge, to any person obtaining a copy
+of this software and associated documentation files (the "Software"), to deal
+in the Software without restriction, including without limitation the rights
+to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+copies of the Software, and to permit persons to whom the Software is
+furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in all
+copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+SOFTWARE
+--------------------------------------------------------------------------------
+harfbuzz
+
 Copyright © 1998-2004  David Turner and Werner Lemberg
 Copyright © 2004,2007,2009  Red Hat, Inc.
 Copyright © 2011,2012  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -10796,7 +12839,7 @@ Copyright © 1998-2004  David Turner and Werner Lemberg
 Copyright © 2004,2007,2009,2010  Red Hat, Inc.
 Copyright © 2011,2012  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -10823,7 +12866,7 @@ Copyright © 2006  Behdad Esfahbod
 Copyright © 2007,2008,2009  Red Hat, Inc.
 Copyright © 2012,2013  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -10849,7 +12892,7 @@ Copyright © 2007  Chris Wilson
 Copyright © 2009,2010  Red Hat, Inc.
 Copyright © 2011,2012  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -10873,7 +12916,7 @@ harfbuzz
 
 Copyright © 2007,2008,2009  Red Hat, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -10898,7 +12941,7 @@ harfbuzz
 Copyright © 2007,2008,2009  Red Hat, Inc.
 Copyright © 2010,2011,2012  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -10923,7 +12966,7 @@ harfbuzz
 Copyright © 2007,2008,2009  Red Hat, Inc.
 Copyright © 2010,2012  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -10948,7 +12991,7 @@ harfbuzz
 Copyright © 2007,2008,2009  Red Hat, Inc.
 Copyright © 2011,2012  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -10973,7 +13016,7 @@ harfbuzz
 Copyright © 2007,2008,2009  Red Hat, Inc.
 Copyright © 2012  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -10998,7 +13041,7 @@ harfbuzz
 Copyright © 2007,2008,2009  Red Hat, Inc.
 Copyright © 2012,2013  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11024,7 +13067,7 @@ Copyright © 2007,2008,2009  Red Hat, Inc.
 Copyright © 2012,2013  Google, Inc.
 Copyright © 2019, Facebook Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11050,7 +13093,7 @@ Copyright © 2007,2008,2009  Red Hat, Inc.
 Copyright © 2018,2019,2020  Ebrahim Byagowi
 Copyright © 2018  Khaled Hosny
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11075,7 +13118,7 @@ harfbuzz
 Copyright © 2007,2008,2009,2010  Red Hat, Inc.
 Copyright © 2010,2012  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11100,7 +13143,7 @@ harfbuzz
 Copyright © 2007,2008,2009,2010  Red Hat, Inc.
 Copyright © 2010,2012,2013  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11125,7 +13168,7 @@ harfbuzz
 Copyright © 2007,2008,2009,2010  Red Hat, Inc.
 Copyright © 2012  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11150,7 +13193,7 @@ harfbuzz
 Copyright © 2007,2008,2009,2010  Red Hat, Inc.
 Copyright © 2012,2018  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11176,7 +13219,7 @@ Copyright © 2007,2008,2009,2010  Red Hat, Inc.
 Copyright © 2012,2018  Google, Inc.
 Copyright © 2019  Facebook, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11200,7 +13243,7 @@ harfbuzz
 
 Copyright © 2009  Red Hat, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11226,7 +13269,7 @@ Copyright © 2009  Red Hat, Inc.
 Copyright © 2009  Keith Stribley
 Copyright © 2011  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11252,7 +13295,7 @@ Copyright © 2009  Red Hat, Inc.
 Copyright © 2009  Keith Stribley
 Copyright © 2015  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11278,7 +13321,7 @@ Copyright © 2009  Red Hat, Inc.
 Copyright © 2011  Codethink Limited
 Copyright © 2010,2011,2012  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11304,7 +13347,7 @@ Copyright © 2009  Red Hat, Inc.
 Copyright © 2011  Codethink Limited
 Copyright © 2011,2012  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11329,7 +13372,7 @@ harfbuzz
 Copyright © 2009  Red Hat, Inc.
 Copyright © 2011  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11354,7 +13397,7 @@ harfbuzz
 Copyright © 2009  Red Hat, Inc.
 Copyright © 2012  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11379,7 +13422,7 @@ harfbuzz
 Copyright © 2009  Red Hat, Inc.
 Copyright © 2015  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11404,7 +13447,7 @@ harfbuzz
 Copyright © 2009  Red Hat, Inc.
 Copyright © 2018  Ebrahim Byagowi
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11429,7 +13472,7 @@ harfbuzz
 Copyright © 2009  Red Hat, Inc.
 Copyright © 2018  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11454,7 +13497,7 @@ harfbuzz
 Copyright © 2009,2010  Red Hat, Inc.
 Copyright © 2010,2011,2012  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11479,7 +13522,7 @@ harfbuzz
 Copyright © 2009,2010  Red Hat, Inc.
 Copyright © 2010,2011,2012,2013  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11504,7 +13547,7 @@ harfbuzz
 Copyright © 2009,2010  Red Hat, Inc.
 Copyright © 2010,2011,2013  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11529,7 +13572,7 @@ harfbuzz
 Copyright © 2009,2010  Red Hat, Inc.
 Copyright © 2011,2012  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11553,7 +13596,7 @@ harfbuzz
 
 Copyright © 2010  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11578,7 +13621,7 @@ harfbuzz
 Copyright © 2010  Red Hat, Inc.
 Copyright © 2012  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11602,7 +13645,7 @@ harfbuzz
 
 Copyright © 2010,2011  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11626,7 +13669,7 @@ harfbuzz
 
 Copyright © 2010,2011,2012  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11650,7 +13693,7 @@ harfbuzz
 
 Copyright © 2010,2011,2013  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11674,7 +13717,7 @@ harfbuzz
 
 Copyright © 2010,2012  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11698,7 +13741,7 @@ harfbuzz
 
 Copyright © 2011  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11723,7 +13766,7 @@ harfbuzz
 Copyright © 2011  Martin Hosken
 Copyright © 2011  SIL International
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11749,7 +13792,7 @@ Copyright © 2011  Martin Hosken
 Copyright © 2011  SIL International
 Copyright © 2011,2012  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11773,7 +13816,7 @@ harfbuzz
 
 Copyright © 2011,2012  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11798,7 +13841,7 @@ harfbuzz
 Copyright © 2011,2012  Google, Inc.
 Copyright © 2018  Ebrahim Byagowi
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11822,7 +13865,7 @@ harfbuzz
 
 Copyright © 2011,2012,2013  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11847,7 +13890,7 @@ harfbuzz
 Copyright © 2011,2012,2013  Google, Inc.
 Copyright © 2021  Khaled Hosny
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11871,7 +13914,7 @@ harfbuzz
 
 Copyright © 2011,2012,2014  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11895,7 +13938,7 @@ harfbuzz
 
 Copyright © 2011,2014  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11919,7 +13962,7 @@ harfbuzz
 
 Copyright © 2012  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11943,7 +13986,7 @@ harfbuzz
 
 Copyright © 2012  Mozilla Foundation.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11967,7 +14010,7 @@ harfbuzz
 
 Copyright © 2012,2013  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -11992,7 +14035,7 @@ harfbuzz
 Copyright © 2012,2013  Mozilla Foundation.
 Copyright © 2012,2013  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12017,7 +14060,7 @@ harfbuzz
 Copyright © 2012,2017  Google, Inc.
 Copyright © 2021 Behdad Esfahbod
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12041,7 +14084,7 @@ harfbuzz
 
 Copyright © 2012,2018  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12065,7 +14108,7 @@ harfbuzz
 
 Copyright © 2013  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12089,7 +14132,7 @@ harfbuzz
 
 Copyright © 2013  Red Hat, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12113,7 +14156,7 @@ harfbuzz
 
 Copyright © 2014  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12139,7 +14182,7 @@ Copyright © 2015  Google, Inc.
 Copyright © 2019  Adobe Inc.
 Copyright © 2019  Ebrahim Byagowi
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12164,7 +14207,7 @@ harfbuzz
 Copyright © 2015  Mozilla Foundation.
 Copyright © 2015  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12188,7 +14231,7 @@ harfbuzz
 
 Copyright © 2015-2019  Ebrahim Byagowi
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12214,7 +14257,7 @@ Copyright © 2016  Elie Roux <elie.roux@telecom-bretagne.eu>
 Copyright © 2018  Google, Inc.
 Copyright © 2018-2019  Ebrahim Byagowi
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12238,7 +14281,7 @@ harfbuzz
 
 Copyright © 2016  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12263,7 +14306,7 @@ harfbuzz
 Copyright © 2016  Google, Inc.
 Copyright © 2018  Ebrahim Byagowi
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12289,7 +14332,7 @@ Copyright © 2016  Google, Inc.
 Copyright © 2018  Khaled Hosny
 Copyright © 2018  Ebrahim Byagowi
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12313,7 +14356,7 @@ harfbuzz
 
 Copyright © 2016  Igalia S.L.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12337,7 +14380,7 @@ harfbuzz
 
 Copyright © 2017  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12362,7 +14405,7 @@ harfbuzz
 Copyright © 2017  Google, Inc.
 Copyright © 2018  Ebrahim Byagowi
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12387,7 +14430,7 @@ harfbuzz
 Copyright © 2017  Google, Inc.
 Copyright © 2019  Facebook, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12411,7 +14454,7 @@ harfbuzz
 
 Copyright © 2017,2018  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12435,7 +14478,7 @@ harfbuzz
 
 Copyright © 2018  Ebrahim Byagowi
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12460,7 +14503,7 @@ harfbuzz
 Copyright © 2018  Ebrahim Byagowi
 Copyright © 2018  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12485,7 +14528,7 @@ harfbuzz
 Copyright © 2018  Ebrahim Byagowi
 Copyright © 2020  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12509,7 +14552,7 @@ harfbuzz
 
 Copyright © 2018  Ebrahim Byagowi.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12533,7 +14576,7 @@ harfbuzz
 
 Copyright © 2018  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12558,7 +14601,32 @@ harfbuzz
 Copyright © 2018  Google, Inc.
 Copyright © 2019  Facebook, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
+
+Permission is hereby granted, without written agreement and without
+license or royalty fees, to use, copy, modify, and distribute this
+software and its documentation for any purpose, provided that the
+above copyright notice and the following two paragraphs appear in
+all copies of this software.
+
+IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE TO ANY PARTY FOR
+DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
+ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN
+IF THE COPYRIGHT HOLDER HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH
+DAMAGE.
+
+THE COPYRIGHT HOLDER SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING,
+BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
+FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
+ON AN "AS IS" BASIS, AND THE COPYRIGHT HOLDER HAS NO OBLIGATION TO
+PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
+--------------------------------------------------------------------------------
+harfbuzz
+
+Copyright © 2018  Google, Inc.
+Copyright © 2023  Behdad Esfahbod
+
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12582,7 +14650,7 @@ harfbuzz
 
 Copyright © 2018 Adobe Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12606,7 +14674,7 @@ harfbuzz
 
 Copyright © 2018-2019  Ebrahim Byagowi
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12631,7 +14699,7 @@ harfbuzz
 Copyright © 2019  Adobe Inc.
 Copyright © 2019  Ebrahim Byagowi
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12655,7 +14723,7 @@ harfbuzz
 
 Copyright © 2019  Adobe, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12679,7 +14747,7 @@ harfbuzz
 
 Copyright © 2019  Ebrahim Byagowi
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12703,7 +14771,7 @@ harfbuzz
 
 Copyright © 2019  Facebook, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12727,7 +14795,7 @@ harfbuzz
 
 Copyright © 2019 Adobe Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12751,7 +14819,7 @@ harfbuzz
 
 Copyright © 2019-2020  Ebrahim Byagowi
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12775,7 +14843,7 @@ harfbuzz
 
 Copyright © 2020  Ebrahim Byagowi
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12799,7 +14867,7 @@ harfbuzz
 
 Copyright © 2020  Google, Inc.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12823,7 +14891,7 @@ harfbuzz
 
 Copyright © 2021  Behdad Esfahbod
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
@@ -12847,7 +14915,7 @@ harfbuzz
 
 Copyright © 2021  Behdad Esfahbod.
 
- This is part of HarfBuzz, a text shaping library.
+This is part of HarfBuzz, a text shaping library.
 
 Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
